Bug 218815 - Conga creates cluster.conf files w/o enforcing the definition of a fencing device
Conga creates cluster.conf files w/o enforcing the definition of a fencing de...
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: conga (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jim Parsons
Corey Marthaler
Depends On:
  Show dependency treegraph
Reported: 2006-12-07 12:38 EST by Len DiMaggio
Modified: 2009-04-16 18:33 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-12-12 11:41:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Len DiMaggio 2006-12-07 12:38:11 EST
Description of problem:
Conga creates cluster.conf files w/o enforcing the definition of a fencing
device - the user is able to modify the file after it's creation, but by
default, the user is not required to define a fencing device

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create a new cluster via Conga
2. When the nodes are rebooted, the cman service starts on all the nodes, then
tries to fence some members, this fails (in a 3-node cluster, it fails on one
node) - that node is blocked 
Actual results:
The user has to modify the cluster.conf file - this can be done via Conga - to
reference a fencing device.

Expected results:
The user should be required to specify a fencing device - so that when a cluster
is created in Conga, it comes up and is fully functional by default.

Additional info:

Here's an example cluster.conf file as generated by Conga:

<?xml version="1.0"?>
<cluster alias="testCluster" config_version="1" name="testCluster">
        <fence_daemon post_fail_delay="0" post_join_delay="3"/>
                <clusternode name="tng3-2.lab.msp.redhat.com" nodeid="1" votes="1"/>
                <clusternode name="tng3-3.lab.msp.redhat.com" nodeid="2" votes="1"/>
                <clusternode name="tng3-4.lab.msp.redhat.com" nodeid="3" votes="1"/>
Comment 1 Len DiMaggio 2006-12-07 21:34:19 EST
RHEL5 GA requirement = Cluster configuration with Luci, CGA-0200 - Creating a
cluster (http://intranet.corp.redhat.com/ic/intranet/RHEL500ReleaseCriteria#Conga)

Impact statement - the user must modify the cluster config - post creation - and
add the fencing device information for the cluster and each cluster node.
Comment 4 Benjamin Kahn 2006-12-12 11:41:16 EST
Jim: this was always allowed.

Note You need to log in before you can comment on or make changes to this bug.